<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.message.mapper.InsideMessageRecordMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.message.pojo.entity.InsideMessageRecordEntity">
                    <id column="id" property="id" />
                    <result column="title" property="title" />
                    <result column="content" property="content" />
                    <result column="message_icon" property="messageIcon" />
                    <result column="message_tag" property="messageTag" />
                    <result column="callback_url" property="callbackUrl" />
                    <result column="wx_callback_url" property="wxCallbackUrl" />
                    <result column="send_user_id" property="sendUserId" />
                    <result column="status" property="status" />
                    <result column="message_type" property="messageType" />
                    <result column="message_sub_type" property="messageSubType" />
                    <result column="timer_send_time" property="timerSendTime" />
                    <result column="actually_send_time" property="actuallySendTime" />
                    <result column="create_by" property="createBy" />
                    <result column="create_time" property="createTime" />
                    <result column="update_by" property="updateBy" />
                    <result column="update_time" property="updateTime" />
                    <result column="enabled" property="enabled" />
                    <result column="is_delete" property="isDelete" />
                    <result column="sort" property="sort" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
            id, title, content, message_icon, message_tag, callback_url, wx_callback_url, send_user_id, status, message_type, message_sub_type, timer_send_time, actually_send_time, create_by, create_time, update_by, update_time, enabled, is_delete, sort
        </sql>

    <select id="selectOldById" resultType="map">
        select ${fieldColumn} from ${tableName} where id = #{id}
    </select>

</mapper>
